Bug 91106 - [locale] date definitions in pl_PL locale are wrong
Summary: [locale] date definitions in pl_PL locale are wrong
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 6.0-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-30 20:00 UTC by mwisnicki+freebsd
Modified: 2018-05-20 23:50 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mwisnicki+freebsd 2005-12-30 20:00:23 UTC

From the commit http://docs.freebsd.org/cgi/getmsg.cgi?fetch=666222+0+archive/2004/cvs-all/20040926.cvs-all

>  Log:
>  - Month and weekday names should begin with lowercase latter.
>  - First part of long month names should use genitive.
>  - Use more proper shortcuts, leaving the first 3 letters is not always
>    correct.
>  
>  Revision  Changes    Path
>  1.8       +51 -51    src/share/timedef/pl_PL.ISO8859-2.src
>  1.2       +50 -50    src/share/timedef/pl_PL.UTF-8.src


1. Short form of "piÄtek" is and always was "piÄ", not "ptk" (this one is really annoying).

2. At least short forms of month and weekday names usually begin with uppercase letter,
   but it is probably a matter of preference.

3. Since the update, gnome applications (clock and evolution's calendar, all date pickers)
   show month name in genitive case where it should be in nominative
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2007-06-15 12:39:09 UTC
Responsible Changed
From-To: freebsd-bugs->pjd

pjd, since you apparently committed this, can you take a look?
Comment 2 Gavin Atkinson freebsd_committer freebsd_triage 2009-04-23 12:43:21 UTC
Responsible Changed
From-To: pjd->freebsd-bugs

Reassign after inactivity
Comment 3 Gavin Atkinson freebsd_committer freebsd_triage 2009-05-18 16:11:08 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-i18n

Over to maintainer(s).  No patch, but hopefully clear what needs doing
Comment 4 Edwin Groothuis freebsd_committer 2009-06-08 08:47:46 UTC
State Changed
From-To: open->feedback

Hello Marcin, 

We are very curious on what suggested patches for these proposed 
changes are. Since I've not mastered (or even started to learn it), 
we fully rely on your input to fix it. 

Thanks for your Edwin
Comment 5 mwisnicki+freebsd 2009-06-08 13:18:53 UTC
Resending with proper CC.
BTW. why bug-followup is not in cc in mails from gnats ?

On Mon, Jun 8, 2009 at 09:51, <edwin@freebsd.org> wrote:
> Synopsis: [locale] date definitions in pl_PL locale are wrong
>
> State-Changed-From-To: open->feedback
> State-Changed-By: edwin
> State-Changed-When: Mon Jun 8 07:47:46 UTC 2009
> State-Changed-Why:
> Hello Marcin,
>
> We are very curious on what suggested patches for these proposed
> changes are. Since I've not mastered (or even started to learn it),
> we fully rely on your input to fix it.
>

I won't have the time to do it in next month, but I'll try to work on it
in second half of july.

I believe however that all locale data in FreeBSD should be scrapped
and replaced with
Common Locale Data (CLDR) [1] which is used by majority of popular software.

[1] http://cldr.unicode.org/
    http://en.wikipedia.org/wiki/Common_Locale_Data_Repository

> Thanks for your Edwin
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=91106
>
Comment 6 Konrad Jankowski freebsd_committer 2010-06-10 22:45:04 UTC
State Changed
From-To: feedback->analyzed

I'm a native polish speaker. 


Comment 7 Konrad Jankowski freebsd_committer 2010-06-10 22:45:04 UTC
Responsible Changed
From-To: freebsd-i18n->versus

This will be very easy to fix.
Comment 8 David Chisnall freebsd_committer 2014-06-02 08:52:00 UTC
(In reply to versus from comment #7)
> Responsible Changed
> From-To: freebsd-i18n->versus
> 
> This will be very easy to fix.

Was a fix committed?  The bug has been open for a decade and last commented on four years ago, so I'd hope so...
Comment 9 mwisnicki+freebsd 2014-06-02 19:36:28 UTC
(In reply to David Chisnall from comment #8)
> 
> Was a fix committed?  The bug has been open for a decade and last commented
> on four years ago, so I'd hope so...

WOW, I didn't know the project is using bugzilla now.

According to commit log[1] and contents of locale sources it was only partially fixed (only 1st point).

I stopped using polish locale long time ago and no serious software depends on posix crap for localization so I no longer care but I've just tested it in 9.2r264962 and strftime returns output that is at least consistent with documentation:

> %B    is replaced by national representation of the full month name.
> Additionally %OB implemented to represent alternative months names
>           (used standalone, without day mentioned).

> env LANG=pl_PL.UTF-8 date "+%e %B"
 2 czerwca
> env LANG=pl_PL.UTF-8 date +%OB
czerwiec

Of course the %OB is totally non-standard FreeBSD extension.

On Linux:
> env LANG=pl_PL.UTF-8 date "+%e %B"
 2 czerwiec
> env LANG=pl_PL.UTF-8 date +%B
czerwiec

so it's no wonder why Linux software shows months in wrong grammatical case.

[1] http://svn.freebsd.org/changeset/base/219091
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2017-01-22 04:15:49 UTC
Commit bit was taken into safekeeping.
Comment 11 Eitan Adler freebsd_committer freebsd_triage 2018-05-20 23:50:41 UTC
For bugs matching the following conditions:
- Status == In Progress
- Assignee == "bugs@FreeBSD.org"
- Last Modified Year <= 2017

Do
- Set Status to "Open"